// 19/07/99
#ifndef PersonH
#define PersonH

#ifndef DiceH
#  include "Dice.h"
#endif
class ProfInfo;
extern ProfInfo * defaultProf;
// ----------------------------------------------------------------------------
class C13s {  // Characteristics (C-13-letters-s)
  int Sp,     // speed
      St,     // strength
      To,     // toughness
      Dx,     // dextrity
      Pe,     // perception
      Ma,     // mana
      WP,     // will power 
      H,      // health
      maxH,   // go figure
      PP,     // power points
      maxPP,  // guess
      E,      // energy from food (how much did [s]he eat)
      maxE;   // ... (how much can [s]he eat)
  C13s() { set(defaultProf); }
  void set(ProfInfo *);
};
// ----------------------------------------------------------------------------
class ItemSlots {
  public:
    Item * weapon,
         * head,
         * leftHand,
         * rightHand,
         * leftHandFingers[5],
         * rightHandFingers[5],
         * body,
         * leftLeg,
         * rightLeg;
    int lastData;
    ItemSlots() { memset(&weapon,0,(char*)&lastData-(char*)&weapon); }
};
// ----------------------------------------------------------------------------
class Person : public MovingObject {
  public:
    Block <Item*> items;
    C13s c13s;
    ItemSlots slots;
    int level;
    virtual XStr className() { return "Person"; }
};
// ----------------------------------------------------------------------------

#endif // PersonH


